## qt6-5compat 6.9.1

=== src/core5/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from core5.pro.

#####################################################################
## Core5Compat Module:
#####################################################################

qt_internal_add_module(Core5Compat
    SOURCES
        codecs/qcodecmacros_p.h
        codecs/qtextcodec_p.h
        codecs/qutfcodec.cpp codecs/qutfcodec_p.h
        qcore5global.h
        sax/qxml.cpp sax/qxml.h sax/qxml_p.h
        serialization/qbinaryjson.cpp serialization/qbinaryjson.h serialization/qbinaryjson_p.h
        serialization/qbinaryjsonarray.cpp serialization/qbinaryjsonarray_p.h
        serialization/qbinaryjsonobject.cpp serialization/qbinaryjsonobject_p.h
        serialization/qbinaryjsonvalue.cpp serialization/qbinaryjsonvalue_p.h
        text/qregexp.cpp text/qregexp.h
        text/qstringref.cpp text/qstringref.h
        tools/qlinkedlist.cpp tools/qlinkedlist.h
    DEFINES
        QT_USE_FAST_OPERATOR_PLUS
        QT_USE_QSTRINGBUILDER
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate Qt::CorePrivate
    NO_GENERATE_CPP_EXPORTS
    ATTRIBUTION_FILE_DIR_PATHS
        codecs
)

#### Keys ignored in scope 1:.:.:core5.pro:<TRUE>:
# MODULE = "core5compat"
# QT_FOR_CONFIG = "core-private"

## Scopes:
#####################################################################

qt_internal_extend_target(Core5Compat CONDITION QT_FEATURE_textcodec
    SOURCES
        codecs/qlatincodec.cpp codecs/qlatincodec_p.h
        codecs/qsimplecodec.cpp codecs/qsimplecodec_p.h
        codecs/qtextcodec.cpp codecs/qtextcodec.h
)

qt_internal_extend_target(Core5Compat CONDITION QT_FEATURE_codecs AND QT_FEATURE_textcodec
    SOURCES
        codecs/qisciicodec.cpp codecs/qisciicodec_p.h
        codecs/qtsciicodec.cpp codecs/qtsciicodec_p.h
)

qt_internal_extend_target(Core5Compat CONDITION QT_FEATURE_icu AND QT_FEATURE_textcodec
    SOURCES
        codecs/qicucodec.cpp codecs/qicucodec_p.h
    LIBRARIES
        ICU::i18n ICU::uc ICU::data
)

qt_internal_extend_target(Core5Compat CONDITION QT_FEATURE_big_codecs AND QT_FEATURE_textcodec AND NOT QT_FEATURE_icu
    SOURCES
        codecs/qbig5codec.cpp codecs/qbig5codec_p.h
        codecs/qeucjpcodec.cpp codecs/qeucjpcodec_p.h
        codecs/qeuckrcodec.cpp codecs/qeuckrcodec_p.h
        codecs/qgb18030codec.cpp codecs/qgb18030codec_p.h
        codecs/qjiscodec.cpp codecs/qjiscodec_p.h
        codecs/qjpunicode.cpp codecs/qjpunicode_p.h
        codecs/qsjiscodec.cpp codecs/qsjiscodec_p.h
)

qt_internal_extend_target(Core5Compat CONDITION QT_FEATURE_iconv AND QT_FEATURE_textcodec AND NOT QT_FEATURE_icu
    SOURCES
        codecs/qiconvcodec.cpp codecs/qiconvcodec_p.h
    LIBRARIES
        WrapIconv::WrapIconv
)

qt_internal_extend_target(Core5Compat CONDITION QT_FEATURE_textcodec AND WIN32 AND NOT QT_FEATURE_icu
    SOURCES
        codecs/qwindowscodec.cpp codecs/qwindowscodec_p.h
)
qt_internal_add_docs(Core5Compat
    doc/qtcore5compat.qdocconf
)

=== debian/changelog ===
qt6-5compat (6.9.1-0zneon+24.04+noble+stable+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 15:34:48 +0000

qt6-5compat (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:31:29 +1000

qt6-5compat (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:03:17 +1000

qt6-5compat (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:12:01 +1000

qt6-5compat (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 08:52:42 +1000

qt6-5compat (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:33:33 +1000

qt6-5compat (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:34:00 +1000

qt6-5compat (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:24:21 +1000

qt6-5compat (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 14:31:41 +1000

qt6-5compat (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 16:36:24 +0100

=== debian/control ===
Source: qt6-5compat
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libghc-iconv-dev,
               libgl-dev,
               libicu-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~),
               qt6-shadertools-dev (>= 6.9.1~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-5compat.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-5compat
Maintainer: Neon CI <neon@kde.org>

Package: qt6-5compat
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6core5compat6, qml6-module-qt5compat-graphicaleffects
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qt6-5compat-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-5compat (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6core5compat6-dev (<< 6.4.1-2~)
Replaces: libqt6core5compat6-dev (<< 6.4.1-2~)
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

Package: qt6-5compat-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-5compat-dev, qt6-base-doc, ${misc:Depends}
Replaces: qt6-5compat-doc-html
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the d files documentation to help build Qt 6 applications
 using the Core5Compat library.

Package: libqt6core5compat6
Architecture: all
Depends: qt6-5compat, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6core5compat6-dev
Architecture: all
Depends: qt6-5compat-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: all
Depends: qt6-5compat, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-5compat-doc-html
Architecture: all
Depends: qt6-5compat-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qt5compat-everywhere-src-([\d\.]+\d).tar.xz

## qt6-5compat 6.9.2

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.

add_subdirectory(core5)
if(TARGET Qt::Gui AND TARGET Qt::Quick)
    add_subdirectory(imports)
endif()

=== src/imports/CMakeLists.txt ===
add_subdirectory(graphicaleffects5)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(cmake)
add_subdirectory(core5)

=== src/imports/graphicaleffects5/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qtgraphicaleffectsplugin Plugin:
#####################################################################

set(qml_files
    "Blend.qml"
    "BrightnessContrast.qml"
    "ColorOverlay.qml"
    "Colorize.qml"
    "ConicalGradient.qml"
    "Desaturate.qml"
    "DirectionalBlur.qml"
    "Displace.qml"
    "DropShadow.qml"
    "FastBlur.qml"
    "GammaAdjust.qml"
    "GaussianBlur.qml"
    "Glow.qml"
    "HueSaturation.qml"
    "InnerShadow.qml"
    "LevelAdjust.qml"
    "LinearGradient.qml"
    "MaskedBlur.qml"
    "OpacityMask.qml"
    "RadialBlur.qml"
    "RadialGradient.qml"
    "RectangularGlow.qml"
    "RecursiveBlur.qml"
    "ThresholdMask.qml"
    "ZoomBlur.qml"
)

qt_internal_add_qml_module(qtgraphicaleffectsplugin
    URI "Qt5Compat.GraphicalEffects"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    CLASS_NAME QtGraphicalEffectsPlugin
    PLUGIN_TARGET qtgraphicaleffectsplugin
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_QMLTYPES
    PAST_MAJOR_VERSIONS 1
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    DEPENDENCIES
        Qt5Compat.GraphicalEffects.private
        QtQuick.Window
    SOURCES
        plugin.cpp
    QML_FILES
        ${qml_files}
    LIBRARIES
        Qt::Qml
        Qt::Quick
)

# Resources:
set(qtgraphicaleffectsshaders_resource_files
    "shaders_ng/brightnesscontrast.frag.qsb"
    "shaders_ng/colorize.frag.qsb"
    "shaders_ng/coloroverlay.frag.qsb"
    "shaders_ng/conicalgradient_mask.frag.qsb"
    "shaders_ng/conicalgradient_nomask.frag.qsb"
    "shaders_ng/desaturate.frag.qsb"
    "shaders_ng/displace.frag.qsb"
    "shaders_ng/fastblur.frag.qsb"
    "shaders_ng/fastblur_internal.frag.qsb"
    "shaders_ng/fastblur_internal.vert.qsb"
    "shaders_ng/fastinnershadow.frag.qsb"
    "shaders_ng/fastinnershadow_level0.frag.qsb"
    "shaders_ng/fastglow.frag.qsb"
    "shaders_ng/gammaadjust.frag.qsb"
    "shaders_ng/gaussianinnershadow.frag.qsb"
    "shaders_ng/gaussianinnershadow_shadow.frag.qsb"
    "shaders_ng/huesaturation.frag.qsb"
    "shaders_ng/leveladjust.frag.qsb"
    "shaders_ng/lineargradient.vert.qsb"
    "shaders_ng/lineargradient_mask.frag.qsb"
    "shaders_ng/lineargradient_nomask.frag.qsb"
    "shaders_ng/opacitymask.frag.qsb"
    "shaders_ng/opacitymask_invert.frag.qsb"
    "shaders_ng/radialgradient.vert.qsb"
    "shaders_ng/radialgradient_mask.frag.qsb"
    "shaders_ng/radialgradient_nomask.frag.qsb"
    "shaders_ng/recursiveblur.vert.qsb"
    "shaders_ng/recursiveblur.frag.qsb"
    "shaders_ng/rectangularglow.frag.qsb"
    "shaders_ng/thresholdmask.frag.qsb"
)

qt_internal_add_resource(qtgraphicaleffectsplugin "qtgraphicaleffectsshaders"
    PREFIX
        "/qt-project.org/imports/Qt5Compat/GraphicalEffects"
    FILES
        ${qtgraphicaleffectsshaders_resource_files}
)
qt_internal_add_docs(qtgraphicaleffectsplugin
    doc/qtgraphicaleffects5compat.qdocconf
)

add_subdirectory(private)

=== examples/core5/widgets/tools/CMakeLists.txt ===
qt_internal_add_example(codecs)

=== tests/benchmarks/core5/codecs/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from codecs.pro.

add_subdirectory(qtextcodec)

=== tests/benchmarks/core5/text/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from text.pro.

add_subdirectory(qregexp)

=== util/unicode/codecs/big5/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from big5.pro.

#####################################################################
## big5 Binary:
#####################################################################

qt_internal_add_executable(big5
    GUI
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
)

# Resources:
set(big5_resource_files
    "BIG5"
)

qt_internal_add_resource(big5 "big5"
    PREFIX
        "/"
    FILES
        ${big5_resource_files}
)

=== tests/auto/core5/codecs/qtextcodec/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qtextcodec.pro.

#####################################################################
## tst_qtextcodec Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qtextcodec LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.txt)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qtextcodec
    SOURCES
        tst_qtextcodec.cpp
    LIBRARIES
        Qt::Core5Compat
    TESTDATA ${test_data}
)
if(UNIX)
    add_subdirectory(echo)
endif()

=== tests/auto/core5/serialization/json/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from json.pro.

#####################################################################
## tst_json Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qt5compat_json LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# special case begin
qt_internal_add_test(tst_qt5compat_json
# special case end
    SOURCES
        tst_qtjson.cpp
    LIBRARIES
        Qt::Core5Compat
        Qt::CorePrivate
)

## Scopes:
#####################################################################

#### Keys ignored in scope 2:.:.:json.pro:NOT ANDROID:
# TESTDATA = "bom.json" "test.json" "test.bjson" "test3.json" "test2.json"

if(ANDROID OR QT_FORCE_BUILTIN_TESTDATA)
    # Resources:
    set(json_resource_files
        "bom.json"
        "test.bjson"
        "test.json"
        "test2.json"
        "test3.json"
    )

# special case begin
    qt_internal_add_resource(tst_qt5compat_json "json"
# special case end
        PREFIX
            "/"
        FILES
            ${json_resource_files}
    )
endif()

# special case begin
qt_internal_extend_target(tst_qt5compat_json CONDITION NOT QT_FEATURE_doubleconversion AND NOT QT_FEATURE_system_doubleconversion
# special case end
    DEFINES
        QT_NO_DOUBLECONVERSION
)

=== tests/auto/core5/serialization/qtextstream/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qtextstream.pro.

#####################################################################
## tst_qtextstream Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qt5compat_qtextstream LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# special case begin
qt_internal_add_test(tst_qt5compat_qtextstream
# special case end
    SOURCES
        tst_qtextstream.cpp
    LIBRARIES
        Qt::Core5Compat
)

=== tests/auto/core5/tools/qlinkedlist/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qlinkedlist.pro.

#####################################################################
## tst_qlinkedlist Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qlinkedlist LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qlinkedlist
    SOURCES
        tst_qlinkedlist.cpp
    LIBRARIES
        Qt::Core5Compat
)

qt_internal_undefine_global_definition(tst_qlinkedlist QT_NO_JAVA_STYLE_ITERATORS)

=== debian/changelog ===
qt6-5compat (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Oct 2025 18:33:25 +0100

qt6-5compat (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:57:48 +0200

qt6-5compat (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 20:39:31 +0200

qt6-5compat (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:00:43 +0200

qt6-5compat (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Jul 2025 22:54:24 +0200

=== debian/control ===
Source: qt6-5compat
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libicu-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-shadertools-dev (>= 6.9.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git

Package: libqt6core5compat6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Qt5Compat QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Core5Compat QML module.

Package: qt6-5compat-dev
Provides: libqt6core5compat6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6core5compat6 (= ${binary:Version}),
         qml6-module-qt5compat-graphicaleffects (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6core5compat6-dev (<< 6.4.1-2~),
Replaces: libqt6core5compat6-dev (<< 6.4.1-2~),
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

Package: qt6-5compat-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Qt5Compat documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 Qt5Compat.

Package: qt6-5compat-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Qt5Compat HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 Qt5Compat.

Package: qt6-5compat-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Qt5Compat examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt 6 Qt5Compat submodule.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/cmake
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qt5compat-everywhere-src-(.*)\.tar\.xz

## qt6-5compat 6.9.3

=== debian/changelog ===
qt6-5compat (6.9.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 16 Nov 2025 01:55:36 +0000

qt6-5compat (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-5compat (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 14:17:01 +1000

## qt6-5compat 6.10.0

=== debian/changelog ===
qt6-5compat (6.10.0-0zneon+24.04+noble+stable+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:34:52 +0000

qt6-5compat (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:29 +1000

=== debian/control ===
Source: qt6-5compat
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libghc-iconv-dev,
               libgl-dev,
               libicu-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-shadertools-dev (>= 6.10.0~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-5compat.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-5compat
Maintainer: Neon CI <neon@kde.org>

Package: qt6-5compat
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6core5compat6, qml6-module-qt5compat-graphicaleffects
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qt6-5compat-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-5compat (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6core5compat6-dev (<< 6.4.1-2~)
Replaces: libqt6core5compat6-dev (<< 6.4.1-2~)
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

Package: qt6-5compat-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-5compat-dev, qt6-base-doc, ${misc:Depends}
Replaces: qt6-5compat-doc-html
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the d files documentation to help build Qt 6 applications
 using the Core5Compat library.

Package: libqt6core5compat6
Architecture: all
Depends: qt6-5compat, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6core5compat6-dev
Architecture: all
Depends: qt6-5compat-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: all
Depends: qt6-5compat, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-5compat-doc-html
Architecture: all
Depends: qt6-5compat-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-5compat 6.10.1

=== debian/changelog ===
qt6-5compat (6.10.1-0zneon+24.04+noble+stable+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:48:45 +0000

qt6-5compat (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:06 +1000

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qt5compat-everywhere-src-([\d\.]+\d).tar.xz

## qt6-5compat 6.10.2

=== debian/changelog ===
qt6-5compat (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Feb 2026 00:05:14 +0100

=== debian/control ===
Source: qt6-5compat
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libicu-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-shadertools-dev (>= 6.10.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git

Package: libqt6core5compat6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Qt5Compat QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Core5Compat QML module.

Package: qt6-5compat-dev
Provides: libqt6core5compat6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6core5compat6 (= ${binary:Version}),
         qml6-module-qt5compat-graphicaleffects (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6core5compat6-dev (<< 6.4.1-2~),
Replaces: libqt6core5compat6-dev (<< 6.4.1-2~),
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

Package: qt6-5compat-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Qt5Compat documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 Qt5Compat.

Package: qt6-5compat-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Qt5Compat HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 Qt5Compat.

Package: qt6-5compat-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Qt5Compat examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt 6 Qt5Compat submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qt5compat-everywhere-src-(.*)\.tar\.xz
